Skip to main content
GET
/
commerce
/
rules
/
product
Error
A valid request URL is required to generate request examples
{
  "items": [
    {
      "ruleType": "<string>",
      "auditInfo": {
        "createBy": "<string>",
        "createDate": "2023-11-07T05:31:56Z",
        "updateBy": "<string>",
        "updateDate": "2023-11-07T05:31:56Z"
      },
      "code": "<string>",
      "description": "<string>",
      "expression": {
        "text": "<string>",
        "tree": {
          "left": "<string>",
          "logicalOperator": "<string>",
          "nodes": "<array>",
          "operator": "<string>",
          "right": "<unknown>",
          "type": "<string>"
        }
      },
      "metaData": null,
      "name": "<string>",
      "scope": "<string>"
    }
  ],
  "pageCount": 123,
  "pageSize": 123,
  "startIndex": 123,
  "totalCount": 123
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Query Parameters

startIndex
integer<int32>
default:0

The start index.

pageSize
integer<int32>
default:0

The page size.

sortBy
string

The sort by.

filter
string

The filter.

responseGroups
string

The response groups.

responseFields
string

limits which fields are returned in the response body

Response

Success

items
object[] | null
pageCount
integer<int32>
pageSize
integer<int32>
startIndex
integer<int32>
totalCount
integer<int32>